Package net.shibboleth.idp.attribute.resolver.logic

# Class AttributePrincipalPredicate

java.lang.Object
net.shibboleth.shared.logic.StrategyIndirectedPredicate<ProfileRequestContext,String>
net.shibboleth.idp.attribute.resolver.logic.AttributePrincipalPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class AttributePrincipalPredicate extends StrategyIndirectedPredicate<ProfileRequestContext,String>
Predicate that evaluates a `ProfileRequestContext` by looking for an attribute subject that matches one of a designated set or a generic predicate. The ID is obtained from a lookup function, by default from a `AttributeResolutionContext` child of the profile request context.

## Constructor Summary

Constructors
Constructor
Description
`AttributePrincipalPredicate(Collection<String> candidates)`
Constructor.
`AttributePrincipalPredicate(Predicate<String> pred)`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.shared.logic.StrategyIndirectedPredicate

`forCollection, forPredicate, test`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### AttributePrincipalPredicate

public AttributePrincipalPredicate(@ParameterName(name="candidates") @Nonnull Collection<String> candidates)
Constructor.

Parameters:
  `candidates` - hardwired set of values to check against

### AttributePrincipalPredicate

public AttributePrincipalPredicate(@ParameterName(name="pred") @Nonnull Predicate<String> pred)
Constructor.

Parameters:
  `pred` - generalized predicate